package com.wd.workoffice.ui.adapter;


import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.OrderBean;

import java.util.List;

/**
 * Created by flexible on 2018/8/13.
 */

public class ProCruibleAdapter extends BaseQuickAdapter<OrderBean, BaseViewHolder> {

    public ProCruibleAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }


    @Override
    protected void convert(BaseViewHolder helper, OrderBean item) {
        helper.setText(R.id.tv_name, item.getReceiveDeptName());
        helper.setText(R.id.tv_status, item.getStatusName());
        helper.setText(R.id.tv_place_name, item.getLaunchUserName());
        helper.setText(R.id.tv_company, item.getLaunchDeptName());
        helper.setText(R.id.tv_order_no, item.getId());
        helper.setText(R.id.tv_time, item.getCreatedTime());
        helper.setText(R.id.tv_send_time, item.getRequireTime());
        helper.setText(R.id.tv_desc, item.getAttrName());
        helper.setText(R.id.tv_price, String.valueOf(item.getLaunchOrderAmount()));
    }
}

